.rsvp
    width 92%
    margin 0 auto
    mt($sp--double)
    padding $sp 0
    position relative

    &::before
        content ""
        position absolute
        background-image url("../images/linea.svg")
        background-repeat no-repeat
        background-position center
        top 0
        width 100%
        height $sp

    &_heading
        margin $sp--double auto 0
        text-transform uppercase
        text-align center
        one-leaf()

    &_info
        margin 0 auto
        mt()
        width 60%

        p
            text-align center
            fz-scale--minus-one()

    &_form
        display block
        margin 0 auto
        mt()
        width 92%
        +above(2)
            width 75%
        +above(4)
            width 66%
        +above(6)
            width 50%

        &__field
            display -webkit-box   /* OLD - iOS 6-, Safari 3.1-6, BB7 */
            display -ms-flexbox   /* TWEENER - IE 10 */
            display -webkit-flex  /* NEW iOS - Safari */
            display flex
            flex-direction column
            align-items flex-start
            mt($sp--half)

            label
                fz-scale--minus-one()

            > input
            > textarea
                width 100%

            &--checkbox
                display flex
                flex-direction row

                > input
                    display inline
                    width auto
                    margin-right $sp--third

                a
                    text-decoration underline
                    font-weight 600
                    content-anchor(black, black)

        &__two_inputs
            display -webkit-box   /* OLD - iOS 6-, Safari 3.1-6, BB7 */
            display -ms-flexbox   /* TWEENER - IE 10 */
            display -webkit-flexbox  /* NEW iOS - Safari */
            display flex
            flex-direction column
            +above(3)
                flex-direction row
            justify-content space-between
            width 100%

            input
                min-width 0
                flex 0 1 49%

            input + input
                mt($sp--quarter)
                +above(3)
                    margin-top 0


        &__submit
            display block
            margin-left auto
            mt()
            border-radius 10px
            padding 0.5% 2%
            background-color $cl--high
            color $cl--off
            fz-scale--one()
            text-transform uppercase

            &:hover
            &:active
            &:focus
                background-color $cl--light

    &_thankyou
        display block
        margin 0 auto
        mt($sp--double)
        width 75%
        +above(3)
            width 50%
        text-align center

        >p
            fz-scale--one()

        &__sub
            display block
            margin 0 auto
            mt()
            width 75%
            +above(3)
                width 55%
            text-align center

input
textarea
    border-radius 10px 10px
    border 1px solid $cl--off--low
    padding $sp--eighth $sp--quarter

    &:hover
    &:active
    &:focus
        border 1px solid $cl--high
